#24 added .tmpl to default ExtensionsToIgnor

closed-accepted
Geoff Talvola
WebKit (45)
5
2002-04-24
2002-04-18
Tavis Rudd
No

On April 18, 2002 01:09 pm, Jeff Johnson wrote:
> I'm working on a new project and wanted to try out
Cheetah's inheritance
> approach rather than containment. I found that I had
to add '.tmpl' to
> the extensionsToIgnore setting in order to specify my
servlet name in
> the URL without the extension. Otherwise I got 404 -
Page not found but
> _no_ errors were reported on the WebKit stdout. This
highlighted a few
> issues.
>
> With default Application.config settings, the WebKit
output was:
>
> 1 2002-04-18 16:05:14 /partner/base
> 1 0.01 secs /partner/base
>
> This gives a 404 error in the browser but no error
shows in stdout.

Hmm, that needs to be fixed.

> If I changed UseCascadingExtensions to 0:
>
> 1 2002-04-18 16:05:56 /partner/base
> WARNING: For /base, did not get precisely 1 filename:
> ['/home/jeff/jeff/partner/www/base.tmpl',
> '/home/jeff/jeff/partner/www/base.py']
> 1 0.01 secs /partner/base
>
> This also gives a 404 in the browser.
>
> By adding '.tmpl' to ExtensionsToIgnore, things work
as expected. Since
> '*.tmpl' is in the default FilesToHide setting, I
propose it should also
> be added to ExtensionsToIgnore.

I agree.

Discussion

  • Tavis Rudd
    Tavis Rudd
    2002-04-18

     
    Attachments
  • Tavis Rudd
    Tavis Rudd
    2002-04-18

    • labels: --> WebKit
     
  • Geoff Talvola
    Geoff Talvola
    2002-04-24

    • assigned_to: nobody --> gtalvola
    • status: open --> closed-accepted